## btrfs-tools 0.8

=== Makefile ===
CC=gcc
CFLAGS = -g -Wall -fno-strict-aliasing -Werror
objects = ctree.o disk-io.o radix-tree.o extent-tree.o print-tree.o \
	  root-tree.o dir-item.o hash.o file-item.o inode-item.o \
	  inode-map.o crc32c.o\
#
CHECKFLAGS=-D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise \
		-Wuninitialized -Wshadow -Wundef

INSTALL= install
prefix ?= /usr/local
bindir = $(prefix)/bin

progs = btrfsctl btrfsck mkfs.btrfs debug-tree

# make C=1 to enable sparse
ifdef C
	check=sparse $(CHECKFLAGS)
else
	check=ls
endif

.c.o:
	$(check) $<
	$(CC) $(CFLAGS) -c $<


all: $(progs)

$(progs): depend

depend:
	@$(CC) -MM $(ALL_CFLAGS) *.c 1> .depend

btrfsctl: btrfsctl.o
	gcc $(CFLAGS) -o btrfsctl btrfsctl.o

btrfsck: $(objects) btrfsck.o bit-radix.o
	gcc $(CFLAGS) -o btrfsck btrfsck.o $(objects) bit-radix.o

mkfs.btrfs: $(objects) mkfs.o
	gcc $(CFLAGS) -o mkfs.btrfs $(objects) mkfs.o -luuid

debug-tree: $(objects) debug-tree.o
	gcc $(CFLAGS) -o debug-tree $(objects) debug-tree.o -luuid

dir-test: $(objects) dir-test.o
	gcc $(CFLAGS) -o dir-test $(objects) dir-test.o

quick-test: $(objects) quick-test.o
	gcc $(CFLAGS) -o quick-test $(objects) quick-test.o

clean :
	rm -f $(progs) cscope.out *.o .depend

install: $(progs)
	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
	$(INSTALL) $(progs) $(DESTDIR)$(bindir)

ifneq ($(wildcard .depend),)
include .depend
endif

## btrfs-tools 0.15

=== Makefile ===
CC=gcc
AM_CFLAGS = -Wall -fno-strict-aliasing -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2
CFLAGS = -g -Werror -Os
objects = ctree.o disk-io.o radix-tree.o extent-tree.o print-tree.o \
	  root-tree.o dir-item.o hash.o file-item.o inode-item.o \
	  inode-map.o crc32c.o rbtree.o extent-cache.o extent_io.o \
	  volumes.o utils.o
#
CHECKFLAGS=-D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise \
		-Wuninitialized -Wshadow -Wundef
DEPFLAGS = -Wp,-MMD,$(@D)/.$(@F).d,-MT,$@

INSTALL= install
prefix ?= /usr/local
bindir = $(prefix)/bin
LIBS=-luuid

progs = btrfsctl btrfsck mkfs.btrfs debug-tree btrfs-show btrfs-vol

# make C=1 to enable sparse
ifdef C
	check=sparse $(CHECKFLAGS)
else
	check=ls
endif

.c.o:
	$(check) $<
	$(CC) $(DEPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c $<


all: $(progs)

btrfsctl: $(objects) btrfsctl.o
	gcc $(CFLAGS) -o btrfsctl btrfsctl.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-vol: $(objects) btrfs-vol.o
	gcc $(CFLAGS) -o btrfs-vol btrfs-vol.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-show: $(objects) btrfs-show.o
	gcc $(CFLAGS) -o btrfs-show btrfs-show.o $(objects) $(LDFLAGS) $(LIBS)

btrfsck: $(objects) btrfsck.o bit-radix.o
	gcc $(CFLAGS) -o btrfsck btrfsck.o $(objects) bit-radix.o $(LDFLAGS) $(LIBS)

mkfs.btrfs: $(objects) mkfs.o
	gcc $(CFLAGS) -o mkfs.btrfs $(objects) mkfs.o $(LDFLAGS) $(LIBS)

debug-tree: $(objects) debug-tree.o
	gcc $(CFLAGS) -o debug-tree $(objects) debug-tree.o $(LDFLAGS) $(LIBS)

dir-test: $(objects) dir-test.o
	gcc $(CFLAGS) -o dir-test $(objects) dir-test.o $(LDFLAGS) $(LIBS)

quick-test: $(objects) quick-test.o
	gcc $(CFLAGS) -o quick-test $(objects) quick-test.o $(LDFLAGS) $(LIBS)

convert: $(objects) convert.o
	gcc $(CFLAGS) -o btrfs-convert $(objects) convert.o -lext2fs $(LDFLAGS) $(LIBS)

clean :
	rm -f $(progs) cscope.out *.o .*.d btrfs-convert

install: $(progs)
	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
	$(INSTALL) $(progs) $(DESTDIR)$(bindir)
	if [ -e btrfs-convert ]; then $(INSTALL) btrfs-convert $(DESTDIR)$(bindir); fi

-include .*.d

## btrfs-tools 0.19

=== Makefile ===
CC=gcc
AM_CFLAGS = -Wall -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2
CFLAGS = -g -Werror -Os
objects = ctree.o disk-io.o radix-tree.o extent-tree.o print-tree.o \
	  root-tree.o dir-item.o file-item.o inode-item.o \
	  inode-map.o crc32c.o rbtree.o extent-cache.o extent_io.o \
	  volumes.o utils.o

#
CHECKFLAGS=-D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise \
		-Wuninitialized -Wshadow -Wundef
DEPFLAGS = -Wp,-MMD,$(@D)/.$(@F).d,-MT,$@

INSTALL= install
prefix ?= /usr/local
bindir = $(prefix)/bin
LIBS=-luuid

progs = btrfsctl mkfs.btrfs btrfs-debug-tree btrfs-show btrfs-vol btrfsck

# make C=1 to enable sparse
ifdef C
	check=sparse $(CHECKFLAGS)
else
	check=ls
endif

.c.o:
	$(check) $<
	$(CC) $(DEPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c $<


all: version $(progs) manpages

version:
	bash version.sh

btrfsctl: $(objects) btrfsctl.o
	gcc $(CFLAGS) -o btrfsctl btrfsctl.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-vol: $(objects) btrfs-vol.o
	gcc $(CFLAGS) -o btrfs-vol btrfs-vol.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-show: $(objects) btrfs-show.o
	gcc $(CFLAGS) -o btrfs-show btrfs-show.o $(objects) $(LDFLAGS) $(LIBS)

btrfsck: $(objects) btrfsck.o
	gcc $(CFLAGS) -o btrfsck btrfsck.o $(objects) $(LDFLAGS) $(LIBS)

mkfs.btrfs: $(objects) mkfs.o
	gcc $(CFLAGS) -o mkfs.btrfs $(objects) mkfs.o $(LDFLAGS) $(LIBS)

btrfs-debug-tree: $(objects) debug-tree.o
	gcc $(CFLAGS) -o btrfs-debug-tree $(objects) debug-tree.o $(LDFLAGS) $(LIBS)

btrfstune: $(objects) btrfstune.o
	gcc $(CFLAGS) -o btrfstune $(objects) btrfstune.o $(LDFLAGS) $(LIBS)

btrfs-image: $(objects) btrfs-image.o
	gcc $(CFLAGS) -o btrfs-image $(objects) btrfs-image.o -lpthread -lz $(LDFLAGS) $(LIBS)

dir-test: $(objects) dir-test.o
	gcc $(CFLAGS) -o dir-test $(objects) dir-test.o $(LDFLAGS) $(LIBS)

quick-test: $(objects) quick-test.o
	gcc $(CFLAGS) -o quick-test $(objects) quick-test.o $(LDFLAGS) $(LIBS)

convert: $(objects) convert.o
	gcc $(CFLAGS) -o btrfs-convert $(objects) convert.o -lext2fs $(LDFLAGS) $(LIBS)

manpages:
	cd man; make

install-man:
	cd man; make install

clean :
	rm -f $(progs) cscope.out *.o .*.d btrfs-convert
	cd man; make clean

install: $(progs) install-man
	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
	$(INSTALL) $(progs) $(DESTDIR)$(bindir)
	if [ -e btrfs-convert ]; then $(INSTALL) btrfs-convert $(DESTDIR)$(bindir); fi

-include .*.d

=== man/Makefile ===
GZIP=gzip
INSTALL= install

prefix ?= /usr/local
bindir = $(prefix)/bin
mandir = $(prefix)/man
man8dir = $(mandir)/man8

MANPAGES = mkfs.btrfs.8.gz btrfsctl.8.gz btrfsck.8.gz btrfs-image.8.gz \
	   btrfs-show.8.gz

all: $(MANPAGES)

mkfs.btrfs.8.gz: mkfs.btrfs.8.in
	$(GZIP) -n -c mkfs.btrfs.8.in > mkfs.btrfs.8.gz

btrfsctl.8.gz: btrfsctl.8.in
	$(GZIP) -n -c btrfsctl.8.in > btrfsctl.8.gz

btrfsck.8.gz: btrfsck.8.in
	$(GZIP) -n -c btrfsck.8.in > btrfsck.8.gz

btrfs-image.8.gz: btrfs-image.8.in
	$(GZIP) -n -c btrfs-image.8.in > btrfs-image.8.gz

btrfs-show.8.gz: btrfs-show.8.in
	$(GZIP) -n -c btrfs-show.8.in > btrfs-show.8.gz

clean :
	rm -f $(MANPAGES)

install: $(MANPAGES)
	$(INSTALL) -m755 -d $(DESTDIR)$(man8dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man8dir)

## btrfs-tools 0.19%2B20120328

=== Makefile ===
CC = gcc
AM_CFLAGS = -Wall -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2
CFLAGS = -g -O0
objects = ctree.o disk-io.o radix-tree.o extent-tree.o print-tree.o \
	  root-tree.o dir-item.o file-item.o inode-item.o \
	  inode-map.o crc32c.o rbtree.o extent-cache.o extent_io.o \
	  volumes.o utils.o btrfs-list.o btrfslabel.o repair.o
cmds_objects = cmds-subvolume.o cmds-filesystem.o cmds-device.o cmds-scrub.o \
	       cmds-inspect.o cmds-balance.o

CHECKFLAGS= -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise \
	    -Wuninitialized -Wshadow -Wundef
DEPFLAGS = -Wp,-MMD,$(@D)/.$(@F).d,-MT,$@

INSTALL = install
prefix ?= /usr/local
bindir = $(prefix)/bin
LIBS=-luuid
RESTORE_LIBS=-lz

progs = btrfsctl mkfs.btrfs btrfs-debug-tree btrfs-show btrfs-vol btrfsck \
	btrfs btrfs-map-logical btrfs-image btrfs-zero-log btrfs-convert \
	btrfs-find-root btrfs-restore btrfstune

# make C=1 to enable sparse
ifdef C
	check = sparse $(CHECKFLAGS)
else
	check = ls
endif

.c.o:
	$(check) $<
	$(CC) $(DEPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c $<


all: version $(progs) manpages

version:
	bash version.sh

btrfs: $(objects) btrfs.o help.o common.o $(cmds_objects)
	$(CC) $(CFLAGS) -o btrfs btrfs.o help.o common.o $(cmds_objects) \
		$(objects) $(LDFLAGS) $(LIBS) -lpthread

calc-size: $(objects) calc-size.o
	gcc $(CFLAGS) -o calc-size calc-size.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-find-root: $(objects) find-root.o
	gcc $(CFLAGS) -o btrfs-find-root find-root.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-restore: $(objects) restore.o
	gcc $(CFLAGS) -o btrfs-restore restore.o $(objects) $(LDFLAGS) $(LIBS) $(RESTORE_LIBS)

btrfsctl: $(objects) btrfsctl.o
	$(CC) $(CFLAGS) -o btrfsctl btrfsctl.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-vol: $(objects) btrfs-vol.o
	$(CC) $(CFLAGS) -o btrfs-vol btrfs-vol.o $(objects) $(LDFLAGS) $(LIBS)

btrfs-show: $(objects) btrfs-show.o
	$(CC) $(CFLAGS) -o btrfs-show btrfs-show.o $(objects) $(LDFLAGS) $(LIBS)

btrfsck: $(objects) btrfsck.o
	$(CC) $(CFLAGS) -o btrfsck btrfsck.o $(objects) $(LDFLAGS) $(LIBS)

mkfs.btrfs: $(objects) mkfs.o
	$(CC) $(CFLAGS) -o mkfs.btrfs $(objects) mkfs.o $(LDFLAGS) $(LIBS)

btrfs-debug-tree: $(objects) debug-tree.o
	$(CC) $(CFLAGS) -o btrfs-debug-tree $(objects) debug-tree.o $(LDFLAGS) $(LIBS)

btrfs-zero-log: $(objects) btrfs-zero-log.o
	$(CC) $(CFLAGS) -o btrfs-zero-log $(objects) btrfs-zero-log.o $(LDFLAGS) $(LIBS)

btrfs-select-super: $(objects) btrfs-select-super.o
	$(CC) $(CFLAGS) -o btrfs-select-super $(objects) btrfs-select-super.o $(LDFLAGS) $(LIBS)

btrfstune: $(objects) btrfstune.o
	$(CC) $(CFLAGS) -o btrfstune $(objects) btrfstune.o $(LDFLAGS) $(LIBS)

btrfs-map-logical: $(objects) btrfs-map-logical.o
	$(CC) $(CFLAGS) -o btrfs-map-logical $(objects) btrfs-map-logical.o $(LDFLAGS) $(LIBS)

btrfs-corrupt-block: $(objects) btrfs-corrupt-block.o
	$(CC) $(CFLAGS) -o btrfs-corrupt-block $(objects) btrfs-corrupt-block.o $(LDFLAGS) $(LIBS)

btrfs-image: $(objects) btrfs-image.o
	$(CC) $(CFLAGS) -o btrfs-image $(objects) btrfs-image.o -lpthread -lz $(LDFLAGS) $(LIBS)

dir-test: $(objects) dir-test.o
	$(CC) $(CFLAGS) -o dir-test $(objects) dir-test.o $(LDFLAGS) $(LIBS)

quick-test: $(objects) quick-test.o
	$(CC) $(CFLAGS) -o quick-test $(objects) quick-test.o $(LDFLAGS) $(LIBS)

btrfs-convert: $(objects) convert.o
	$(CC) $(CFLAGS) -o btrfs-convert $(objects) convert.o -lext2fs -lcom_err $(LDFLAGS) $(LIBS)

ioctl-test: $(objects) ioctl-test.o
	$(CC) $(CFLAGS) -o ioctl-test $(objects) ioctl-test.o $(LDFLAGS) $(LIBS)

manpages:
	cd man; make

install-man:
	cd man; make install

clean :
	rm -f $(progs) cscope.out *.o .*.d btrfs-convert btrfs-image btrfs-select-super \
	      btrfs-zero-log btrfstune dir-test ioctl-test quick-test version.h
	cd man; make clean

install: $(progs) install-man
	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
	$(INSTALL) $(progs) $(DESTDIR)$(bindir)

-include .*.d

=== debian/changelog ===
btrfs-tools (0.19+20120328-7.1) wheezy; urgency=low

  * Non-maintainer upload.
  * Move udev rules file from 60-btrfs.rules to 70-btrfs.rules so it runs
    after blkid (closes: #701642).  Thanks, Bastian Blank!

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Feb 2013 19:54:48 +0100

btrfs-tools (0.19+20120328-7) unstable; urgency=low

  * Using official package-type for udeb packages in control now.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 17:56:44 +0200

btrfs-tools (0.19+20120328-6) unstable; urgency=low

  * Harmonize coding style for error redirection in initramfs-tools
    local-premount script.
  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 03:48:36 +0200

btrfs-tools (0.19+20120328-5) unstable; urgency=low

  * Adding postinst for updating initramfs (Closes: #678967).
  * Adding updated patch from Shawn Landen <shawnlandden@gmail.com> to
    fix unaligned memory accesses (Closes: #656955).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 25 Jun 2012 23:09:09 +0200

btrfs-tools (0.19+20120328-4) unstable; urgency=low

  * Adding patch from Shawn Landen <shawnlandden@gmail.com> to fix
    unaligned memory accesses (Closes: #656955).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 21 Jun 2012 13:05:12 +0200

btrfs-tools (0.19+20120328-3) unstable; urgency=low

  * Adding udev rule to automatically call 'btrfs scan' upon discovering
    btrfs devices in order to allow using btrfs raid devices
    automatically (Closes: #585568, #634658, #653632).
  * Adding patch to update btrfs manpage to match /sbin/btrfs (Closes:
    #638778, #642302).
  * Also including /sbin/btrfs in udeb.
  * Adding patch from Sten Heinze <shze@gmx.de> to ignore all arguments
    starting with -a in btrfsck for the time being (Closes: #567681,
    #571300, #612809, #668832).
  * Adding back symlink for fsck.btrfs.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jun 2012 16:00:13 +0200

btrfs-tools (0.19+20120328-2) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper (Closes:
    #673283).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 07:50:12 +0200

btrfs-tools (0.19+20120328-1) unstable; urgency=low

  * Including ioctl.h in btrfs-tools (Closes: #658471).
  * Merging upstream version 0.19+20120328.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Shortening manual build targets now that upstreams makefile has been
    updated.
  * Adding patch from Donald Gordon <don@dis.org.nz> to correct getopt
    (Closes: #665434).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 08:59:50 +0000

btrfs-tools (0.19+20111105-2) unstable; urgency=low

  * Using btrfs instead of btrfsctl in initramfs (Closes: #650614).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Dec 2011 10:33:06 +0100

btrfs-tools (0.19+20111105-1) unstable; urgency=low

  * Switching architecture fields to linux-any.
  * Adding patch to call gzip with full path when creating manpages to
    fix FTBFS on squeeze.
  * Using compression level 9 also for binary packages.
  * Merging upstream version 0.19+20111105.
  * Updating year in copyright file.
  * Sorting overrides in rules alphabetically.
  * Prefixing variables in rules to avoid clashes.
  * Rediffing labels.patch.
  * Rediffing ftbfs.patch.
  * Rediffing linker.patch.
  * Removing gcc-4.6.patch, not required anymore.
  * Renumbering patches.
  * Avoid polluting namespace by prefixing some tools with btrfs.
  * Updating list of additional tools to be built.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 19 Nov 2011 03:15:21 +0100

btrfs-tools (0.19+20101101-2) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Updating year in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Dropping btrfs.modules, went into initramfs-tools (Closes: #612642).
  * Adding patch from Luk Claes <luk@debian.org> to fix FTBFS with --no-
    add-needed (Closes: #554059).
  * Adding patch from Jonathan Nieder <jrnieder@gmail.com> to fix FTBFS
    with gcc-4.6 (Closes: #616296).
  * Simplfying build and install overrides in rules.
  * Applying slightly modified patch from Jonathan Nieder
    <jrnieder@gmail.com> to fix CFLAGS handling in rules, see #616296.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 09:31:25 +0200

btrfs-tools (0.19+20101101-1) experimental; urgency=low

  * Merging upstream version 0.19+20101101.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 14:27:29 +0100

btrfs-tools (0.19+20100909-2) experimental; urgency=low

  * Update references to btrfs-tools instead of btrfs-progs (upstream name)
    in manpages (Closes: #599111).
  * Removing warnings about experimental status.
  * Updating package to debhelper 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 04 Oct 2010 21:28:58 +0200

btrfs-tools (0.19+20100909-1) experimental; urgency=low

  * Correcting credits for glibc.patch in patch file and changelog entry
    to David Sugar <david.sugar@canonical.com>.
  * Updating standards version to 3.9.0.
  * Merging upstream version 0.19+20100909.
  * Removing glibc.patch, merged upstream.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 25 Sep 2010 18:59:07 +0200

btrfs-tools (0.19+20100601-3) unstable; urgency=low

  * Updating year in copyright file.
  * Adding overrides for clean target to make sure package builds twice


=== debian/control ===
Source: btrfs-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://btrfs.wiki.kernel.org/

Package: btrfs-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck, btrfsctl) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: btrfs-tools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (udeb)

Package: btrfs-tools-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ${misc:Depends}, btrfs-tools (= ${binary:Version})
Description: Checksumming Copy on Write Filesystem utilities (debug)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains the debugging symbols.

## btrfs-tools 0.19+20101101

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
-Standards-Version: 3.9.3
+ debhelper (>= 8), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools
-Architecture: linux-any
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -19,16 +19,16 @@
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
 Package: btrfs-tools-udeb
-Package-Type: udeb
 Section: debian-installer
-Architecture: linux-any
+Architecture: any
+XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
 
 Package: btrfs-tools-dbg
 Section: debug
 Priority: extra
-Architecture: linux-any
+Architecture: any
 Depends: ${misc:Depends}, btrfs-tools (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (debug)
  Btrfs is a new copy on write filesystem for Linux aimed at implementing

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -f btrfs-image btrfstune version.h

override_dh_auto_build:
	dh_auto_build -- all btrfsck btrfstune btrfs-image convert CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/btrfs-tools prefix=/ bindir=/sbin mandir=/usr/share/man

	# Fixing 'manpage-not-compressed-with-max-compression'
	for MANPAGE in $(CURDIR)/debian/btrfs-tools/usr/share/man/*/*.gz; \
	do \
		cd $$(dirname $${MANPAGE}); \
		gunzip $$(basename $${MANPAGE}); \
	done

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-tools/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-tools/usr/share/initramfs-tools/scripts/local-premount/btrfs

override_dh_strip:
	dh_strip --dbg-package=btrfs-tools-dbg

## btrfs-tools 0.19+20111105

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 objects = ctree.o disk-io.o radix-tree.o extent-tree.o print-tree.o \
 	  root-tree.o dir-item.o file-item.o inode-item.o \
 	  inode-map.o crc32c.o rbtree.o extent-cache.o extent_io.o \
-	  volumes.o utils.o btrfs-list.o btrfslabel.o repair.o
-cmds_objects = cmds-subvolume.o cmds-filesystem.o cmds-device.o cmds-scrub.o \
-	       cmds-inspect.o cmds-balance.o
+	  volumes.o utils.o btrfs-list.o btrfslabel.o
 
 CHECKFLAGS= -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise \
 	    -Wuninitialized -Wshadow -Wundef
@@ -19,8 +17,7 @@
 RESTORE_LIBS=-lz
 
 progs = btrfsctl mkfs.btrfs btrfs-debug-tree btrfs-show btrfs-vol btrfsck \
-	btrfs btrfs-map-logical btrfs-image btrfs-zero-log btrfs-convert \
-	btrfs-find-root btrfs-restore btrfstune
+	btrfs btrfs-map-logical restore find-root calc-size btrfs-corrupt-block
 
 # make C=1 to enable sparse
 ifdef C
@@ -39,18 +36,18 @@
 version:
 	bash version.sh
 
-btrfs: $(objects) btrfs.o help.o common.o $(cmds_objects)
-	$(CC) $(CFLAGS) -o btrfs btrfs.o help.o common.o $(cmds_objects) \
-		$(objects) $(LDFLAGS) $(LIBS) -lpthread
+btrfs: $(objects) btrfs.o btrfs_cmds.o scrub.o
+	$(CC) -lpthread $(CFLAGS) -o btrfs btrfs.o btrfs_cmds.o scrub.o \
+		$(objects) $(LDFLAGS) $(LIBS)
 
 calc-size: $(objects) calc-size.o
 	gcc $(CFLAGS) -o calc-size calc-size.o $(objects) $(LDFLAGS) $(LIBS)
 
-btrfs-find-root: $(objects) find-root.o
-	gcc $(CFLAGS) -o btrfs-find-root find-root.o $(objects) $(LDFLAGS) $(LIBS)
+find-root: $(objects) find-root.o
+	gcc $(CFLAGS) -o find-root find-root.o $(objects) $(LDFLAGS) $(LIBS)
 
-btrfs-restore: $(objects) restore.o
-	gcc $(CFLAGS) -o btrfs-restore restore.o $(objects) $(LDFLAGS) $(LIBS) $(RESTORE_LIBS)
+restore: $(objects) restore.o
+	gcc $(CFLAGS) -o restore restore.o $(objects) $(LDFLAGS) $(LIBS) $(RESTORE_LIBS)
 
 btrfsctl: $(objects) btrfsctl.o
 	$(CC) $(CFLAGS) -o btrfsctl btrfsctl.o $(objects) $(LDFLAGS) $(LIBS)
@@ -94,7 +91,7 @@
 quick-test: $(objects) quick-test.o
 	$(CC) $(CFLAGS) -o quick-test $(objects) quick-test.o $(LDFLAGS) $(LIBS)
 
-btrfs-convert: $(objects) convert.o
+convert: $(objects) convert.o
 	$(CC) $(CFLAGS) -o btrfs-convert $(objects) convert.o -lext2fs -lcom_err $(LDFLAGS) $(LIBS)
 
 ioctl-test: $(objects) ioctl-test.o
@@ -114,5 +111,6 @@
 install: $(progs) install-man
 	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
 	$(INSTALL) $(progs) $(DESTDIR)$(bindir)
+	if [ -e btrfs-convert ]; then $(INSTALL) btrfs-convert $(DESTDIR)$(bindir); fi
 
 -include .*.d

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a new copy on write filesystem for Linux aimed at implementing
@@ -20,7 +20,7 @@
 
 Package: btrfs-tools-udeb
 Section: debian-installer
-Architecture: any
+Architecture: linux-any
 XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)
@@ -28,7 +28,7 @@
 Package: btrfs-tools-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, btrfs-tools (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (debug)
  Btrfs is a new copy on write filesystem for Linux aimed at implementing

## btrfs-tools 0.19+20120328

=== debian/changelog ===
btrfs-tools (0.19+20120328-7ubuntu1) quantal; urgency=low

  * Add fsck.btrfs to the initramfs (LP: 1002782)
  * Add postrm scripts to update initramfs

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 13:53:25 +0100

btrfs-tools (0.19+20120328-4ubuntu1) quantal; urgency=low

  * Add fsck.btrfs to the initramfs (LP: 1002782)
  * Add postinst/postrm scripts to update initramfs
  * Update patch to really fix unaligned memory accesses (Re-closes: #656955)
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 25 Jun 2012 11:23:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
-Standards-Version: 3.9.2
+ debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools
@@ -19,9 +20,9 @@
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
 Package: btrfs-tools-udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: linux-any
-XC-Package-Type: udeb
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (udeb)

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- all btrfs-select-super calc-size CFLAGS="$(CFLAGS)"

override_dh_auto_clean:
	dh_auto_clean

	rm -f btrfs-select-super calc-size

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/btrfs-tools prefix=/ bindir=/sbin mandir=/usr/share/man

	# Fixing 'manpage-not-compressed-with-max-compression'
	for _MANPAGE in $(CURDIR)/debian/btrfs-tools/usr/share/man/*/*.gz; \
	do \
		cd $$(dirname $${_MANPAGE}); \
		gunzip $$(basename $${_MANPAGE}); \
	done

	# Adding udev integration
	install -D -m 0644 debian/local/btrfs.udev debian/btrfs-tools/lib/udev/rules.d/60-btrfs.rules

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-tools/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-tools/usr/share/initramfs-tools/scripts/local-premount/btrfs

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_install:
	dh_install

	# Avoid polluting namespace
	mv debian/btrfs-tools/sbin/calc-size debian/btrfs-tools/sbin/btrfs-calc-size

override_dh_strip:
	dh_strip --dbg-package=btrfs-tools-dbg

## btrfs-tools 0.19+20121004

=== debian/changelog ===
btrfs-tools (0.19+20121004-1~ybp70+1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against wheezy

 -- Uli Martens <uli@youam.net>  Sun, 13 Jan 2013 16:26:03 +0100

btrfs-tools (0.19+20121004-1) unstable; urgency=low

  * Updating standards version to 3.9.4.
  * Merging upstream version 0.19+20121004.
  * Rediffing linker.patch.
  * Rediffing manpage2.patch.
  * Rediffing fsck.patch.
  * Adding patch from Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
    to avoid truncating filenames in loopdevice images (Closes: #691235).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 Dec 2012 11:09:05 +0100

btrfs-tools (0.19+20120328-8) unstable; urgency=low

  * Adding udev rule for btrfs on lvm, thanks to Daniel Pocock
    <daniel@pocock.com.au> for testing (Closes: #685311).
  * Adding postrm to rebuild initrd without btrfs on remove.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 21 Aug 2012 11:49:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://btrfs.wiki.kernel.org/
 
 Package: btrfs-tools

## btrfs-tools 0.19+20130117

=== debian/changelog ===
btrfs-tools (0.19+20130117-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 11 Feb 2013 13:27:15 +0000

btrfs-tools (0.19+20121004-1ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Add fsck.btrfs to the initramfs

  * Respect DEB_HOST_GNU_TYPE when selecting CC for cross-compiling.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 18 Dec 2012 22:52:16 +0000

btrfs-tools (0.19+20120328-8ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Add fsck.btrfs to the initramfs (LP: 1002782)

  * Dropped changes, merged in Debian:
    - Add postrm scripts to update initramfs

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Nov 2012 14:23:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+  CC := $(DEB_HOST_GNU_TYPE)-gcc
+else
+  CC := gcc
+endif
 
 SHELL := sh -e
 
@@ -9,7 +16,7 @@
 	dh ${@}
 
 override_dh_auto_build:
-	dh_auto_build -- all btrfs-select-super calc-size CFLAGS="$(CFLAGS)"
+	dh_auto_build -- all btrfs-select-super calc-size CFLAGS="$(CFLAGS)" CC="$(CC)"
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -28,6 +35,7 @@
 
 	# Adding udev integration
 	install -D -m 0644 debian/local/btrfs.udev debian/btrfs-tools/lib/udev/rules.d/60-btrfs.rules
+	install -D -m 0644 debian/local/btrfs-lvm.udev debian/btrfs-tools/lib/udev/rules.d/80-btrfs-lvm.rules
 
 	# Adding initramfs-tools integration
 	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-tools/usr/share/initramfs-tools/hooks/btrfs

## btrfs-tools 0.19+20130705

=== man/Makefile ===
GZIPCMD=gzip
INSTALL= install

prefix ?= /usr/local
bindir = $(prefix)/bin
mandir = $(prefix)/man
man8dir = $(mandir)/man8

# clear out all suffixes
.SUFFIXES:
# list only those we use
.SUFFIXES: .in .gz

MANPAGES = mkfs.btrfs.8.gz btrfsck.8.gz btrfs-image.8.gz btrfs.8.gz
INFILES = ${MANPAGES:.in=.gz}

all: $(MANPAGES)

.in.gz :
	@echo "    [MAN]    $@"
	$(Q)$(GZIPCMD) -n -c $< > $@

clean :
	@echo "Cleaning manpages"
	$(Q)rm -f $(MANPAGES)

install: $(MANPAGES)
	$(INSTALL) -m755 -d $(DESTDIR)$(man8dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man8dir)

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: btrfs-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Dmitrijs Ledkovs <xnox@debian.org>
 Build-Depends:
- debhelper (>= 9), e2fslibs-dev, libacl1-dev, uuid-dev, zlib1g-dev
+ debhelper (>= 9), e2fslibs-dev, libacl1-dev, libblkid-dev, liblzo2-dev, uuid-dev, zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://btrfs.wiki.kernel.org/
 
@@ -16,7 +15,7 @@
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
- This package contains utilities (mkfs, fsck, btrfsctl) used to work with btrfs
+ This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
 Package: btrfs-tools-udeb

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC := gcc
endif

SHELL := sh -e

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- all btrfs-select-super btrfs-calc-size CFLAGS="$(CFLAGS)" CC="$(CC)" BUILD_VERBOSE=1

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/btrfs-tools prefix=/usr bindir=/sbin mandir=/usr/share/man libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

	# Fixing 'manpage-not-compressed-with-max-compression'
	for _MANPAGE in $(CURDIR)/debian/btrfs-tools/usr/share/man/*/*.gz; \
	do \
		cd $$(dirname $${_MANPAGE}); \
		gunzip $$(basename $${_MANPAGE}); \
	done

	# Adding udev integration
	install -D -m 0644 debian/local/btrfs.udev debian/btrfs-tools/lib/udev/rules.d/70-btrfs.rules
	install -D -m 0644 debian/local/btrfs-lvm.udev debian/btrfs-tools/lib/udev/rules.d/80-btrfs-lvm.rules

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-tools/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-tools/usr/share/initramfs-tools/scripts/local-premount/btrfs

override_dh_strip:
	dh_strip --dbg-package=btrfs-tools-dbg
